Solvedui router Possibly unhandled rejection with Angular 1.5.9

When using ui-router v-0.2.18 and angularjs v-1.5.9 I keep getting this error 4 times:

Possibly unhandled rejection: {}
I was not getting this error with 1.4.x angular verisons, but am now that I have upgraded. Google searches are not turning up much related to this issue.

I also noticed this error shows up as soon as I insert the ui.router module.

45 Answers

✔️Accepted Answer

1.6.0-rc.0 has the same problem and is solved via the same workaround:

app.config(['$qProvider', function ($qProvider) {
    $qProvider.errorOnUnhandledRejections(false);
}]);

This error throwing ideally should be off by default and backward compatible.

Other Answers:

try $qProvider.errorOnUnhandledRejections(false)

happened the same upgrading from 1.5.8 to 1.5.9

this can be linked to #2699

anyway, a quick fix is to use this:

https://docs.angularjs.org/api/ng/provider/$qProvider

in order to set errorOnUnhandledRejections to false

seeing the issue again with angular 1.6.3 and ui router 0.4.2

Same here 1.6.0

More Issues: